CrystaX NDK - Bug #1262

[objc] Tests starts failing after switch libobjc2 to upstream CMake-based build approach
02/11/2016 03:56 PM - Dmitry Moskalchuk

Status: Closed Start date: 02/11/2016
Priority: High Due date:

Assignee: Dmitry Moskalchuk % Done: 100%
Category: libobjc2 Estimated time: 0.00 hour
Target version: 11.0.0

CPU Architecture: Android version:

Host OS: OS X CrystaX Version: 10.3.1
Toolchain: clang-3.6, clang-3.7

Description

2016-02-11 10:57:53.311 UTC: BEG device test [crystax-issue995-objective-c-literals] clang3.7 +PIE
armeabi-v7a
2016-02-11 10:57:53.312 UTC: ## COMMAND: ruby /tmp/crystaxndk-ndk/crystax-ndk-10.3.1-b805-darwin-x
86_64/tools/adbrunner —-verbose —-keep-going —--no-print-timestamps --adb=/tmp/adb/adb —--ndk=/tmp/c
rystaxndk-ndk/crystax-ndk-10.3.1-b805-darwin-x86_64 —--abi=armeabi-v7a --timeout=180 --emulator-tag
=ab73511a-11£f8-4c2b-al79-773effa8f918 --device-path=/data/local/tmp/ndk-tests --run-on-all-devices
—--pie ——mro-prefix=CRYSTAX-MRO-03b7839afa864ea9935d019882bcfa32 —--symbols-directories=/tmp/crysta
xndk-ndk/crystax-ndk-10.3.1-b805-darwin-x86_64/sources/crystax/libs/armeabi-v7a, /tmp/ndk-tests-mac
0sx10.8/clang3.7/device/crystax—issue995-objective-c-literals/target+PIE/obj/local/armeabi-v7a —-1
d-library-path=/tmp/ndk-tests-macosx10.8/clang3.7/device/crystax—issue995-objective-c-literals/tar
get+PIE/libs/armeabi-v7a Q@/tmp/ndk-tests-macosx10.8/clang3.7/device/crystax—issue995-objective-c-1
iterals/target+PIE/executables—armeabi-v7a.txt
2016-02-11 10:57:53.312 UTC: ## CWD: /Users/ndk

2016-02-11 10:57:53.452 UTC: > ## ADBRUNNER.50994 ## COMMAND: /tmp/adb/adb -s emulator-5554 she
11 getprop ; echo EXITCODE95ff4992b9924c02a3fdfelc2c6bcc2c5:8?
2016-02-11 10:57:53.625 UTC: > ## ADBRUNNER.50994 ## COMMAND: /tmp/adb/adb -s emulator-5556 she
11 getprop ; echo EXITCODE27b856438fbc4fdla965a3a56f33ec93:5?
2016-02-11 10:57:53.806 UTC: > ## ADBRUNNER.50994 EXEC: /tmp/ndk-tests-macosx10.8/clang3.7/devi

ce/crystax—issue995-objective-c-literals/target+PIE/libs/armeabi-v7a/test-objc-literals

2016-02-11 10:57:53.807 UTC: RUN device test [crystax—-issue995-objective-c-literals] clang3.7 +PIE
armeabi-v7a [1/1] android-19 'emulator—-5554"

2016-02-11 10:57:53.807 UTC: > ## ADBRUNNER.50994 [emulator-5554] LOCK (attempt #1): /tmp/ndk-

tests-macosx10.8/clang3.7/device/crystax—issue995-objective-c-literals/target+PIE/libs/armeabi-v7a

/test-objc-literals

2016-02-11 10:57:53.807 UTC: > ## ADBRUNNER.50994 [emulator-5554] START (attempt #1): /tmp/ndk-

tests-macosx10.8/clang3.7/device/crystax—issue995-objective-c-literals/target+PIE/libs/armeabi-v7a

/test-objc-literals

2016-02-11 10:57:53.808 UTC: > ## ADBRUNNER.50994 [emulator-5554] RUN: mkdir -p /data/local/tm

p/ndk-tests/armeabi-v7a/tmp && mkdir -p /data/local/tmp/ndk-tests/armeabi-v7a/lib && mkdir -p /dat

a/local/tmp/ndk-tests/armeabi-v7a/2f7eba57-31ee-449b-9b61-0db9fe91le2c2 && mkdir -p /data/local/tmp

/ndk-tests/armeabi-v7a/2f7eba57-31ee-449b-9b61-0db9fe91le2c2/bin && mkdir -p /data/local/tmp/ndk-te

sts/armeabi-v7a/2f7ebab57-31ee-449b-9b61-0db9fe9le2c2/data

2016-02-11 10:57:54.067 UTC: > ## ADBRUNNER.50994 [emulator-5554] COPY: /tmp/ndk-tests-macosx10

.8/clang3.7/device/crystax—issue995-objective-c-literals/target+PIE/libs/armeabi-v7a/test-objc-1lit

erals -> /Users/ndk/.crystax/adbrunner/stripped/armeabi-v7a/test-objc-literals.4£fd4b620bf13cb03bd6

adec37dc6722adf758ed249%9ed017cadclbcal3d32a562a

2016-02-11 10:57:54.067 UTC: > ## ADBRUNNER.50994 [emulator-5554] STRIP: /Users/ndk/.crystax/ad

brunner/stripped/armeabi-v7a/test-objc-literals.4fd4b620bf13cb03bd6adec37dc6722adf758ed249ed017cad

clbca3d32a562a

2016-02-11 10:57:54.074 UTC: > ## ADBRUNNER.50994 [emulator-5554] PUSH: /Users/ndk/.crystax/adb

runner/stripped/armeabi-v7a/test-objc-literals.4£d4b620bf13cb03bdbadec37dc6722adf758ed249ed017cadc

lbca3d32a562a -> /data/local/tmp/ndk-tests/armeabi-v7a/2f7eba57-31lee-449b-9b61-0db9fe9le2c2/bin/ex

e28978631c1444ccc82016262888db8c6

2016-02-11 10:57:54.113 UTC: > ## ADBRUNNER.50994 [emulator-5554] 1520 KB/s (23468 bytes in 0.0
15s)
2016-02-11 10:57:54.115 UTC: > ## ADBRUNNER.50994 [emulator-5554] RUN: chmod 0755 /data/local/

tmp/ndk-tests/armeabi-v7a/2f7eba57-31ee-449b-9b61-0db9fe91le2c2/bin/exe28978631c1444ccc82016262888d
2016-02-11 10:57:54.222 UTC: > ## ADBRUNNER.50994
e332ccecbl92e3098acal8d4b7a85aef06a6c66027fdb41eb84d0
crystax.so.sha256 2>/dev/null

2016-02-11 10:57:54.522 UTC: > ## ADBRUNNER.50994
74ac3ea8159796913385ad8c800bf0914£0806307bac5bob08af
objc.so.sha256 2>/dev/null

2016-02-11 10:57:54.753 UTC: > ## ADBRUNNER.50994
£76adc045ae268b362£901d0089209e30e15df366bbfa38429chb
CFNetwork.so.sha256 2>/dev/null

2016-02-11 10:57:54.867 UTC: > ## ADBRUNNER.50994
£34cd67ef94£1734696128429£59pf5d389%a5311cbl0aa8dceaeca
CoreData.so.sha256 2>/dev/null

2016-02-11 10:57:54.986 UTC: > ## ADBRUNNER.50994
40940234e76deeffdld4aa2a9b04f42aal3edfe76b0elb5a477b19
CoreFoundation.so.sha256 2>/dev/null

2016-02-11 10:57:55.100 UTC: > ## ADBRUNNER.50994
4a6de7cl9c7ealedflbocd5c8a550cla3ba7ccd8dbae77eaec3’
CoreGraphics.so.sha256 2>/dev/null

2016-02-11 10:57:55.211 UTC: > ## ADBRUNNER.50994
31be02932c5b0ccb7be050299229e476c£68d972f20ec80afefb
CoreServices.so.sha256 2>/dev/null

2016-02-11 10:57:55.341 UTC: > ## ADBRUNNER.50994
7d73£35902e0la0bac27alflbel0l35afab4acab9faa77b5958df1
CoreText.so.sha256 2>/dev/null

2016-02-11 10:57:55.461 UTC: > ## ADBRUNNER.50994
deab724320234dabee90127164e36ce3f94489ceca8fda735508
CoreVideo.so.sha256 2>/dev/null

2016-02-11 10:57:55.559 UTC: > ## ADBRUNNER.50994
9715aadb9caaf05a0723942ae400£f41abf81ldcllolclada992d9
Foundation.so.sha256 2>/dev/null

2016-02-11 10:57:55.678 UTC: > ## ADBRUNNER.50994

[emulator-5554] RUN:

/data/local/tmp/ndk—

[emulator-5554] RUN:

/data/local/tmp/ndk—

[emulator-5554] RUN:

/data/local/tmp/ndk-

[emulator-5554] RUN:

/data/local/tmp/ndk—

[emulator-5554] RUN:

/data/local/tmp/ndk—

[emulator-5554] RUN:

/data/local/tmp/ndk-

[emulator-5554] RUN:

/data/local/tmp/ndk—

[emulator-5554] RUN:

/data/local/tmp/ndk—

[emulator-5554] RUN:

/data/local/tmp/ndk—

[emulator-5554] RUN:

/data/local/tmp/ndk—

[emulator-5554] RUN:

grep —-q —-x 294fb993a214
tests/armeabi-v7a/lib/1lib

grep —-q -x 21a2c3f£f105d
tests/armeabi-v7a/lib/1lib

grep —-gq —-x 5332c9cad33c
tests/armeabi-v7a/lib/1lib

grep —-q —-x cel32eal7410
tests/armeabi-v7a/lib/1lib

grep —-q —-x 007fafd9%eb5ee
tests/armeabi-v7a/lib/1lib

grep —gq —x 8d011574cfab
tests/armeabi-v7a/lib/1lib

grep —-q —x 03f962b533ea
tests/armeabi-v7a/lib/1lib

grep —-q —-x 826009a7a599
tests/armeabi-v7a/lib/lib

grep —-q —-x 8573fc236c63
tests/armeabi-v7a/lib/1lib

grep —-q —-x d7791bc7e3db
tests/armeabi-v7a/lib/1lib

log LOGCAT-TAG-d955b24f

77£54£0884578610fbcd6925 && cd /data/local/tmp/ndk-tests/armeabi-v7a/2f7eba57-31ee-449b-9b61-0db9f
e9le2c2/bin && LD_LIBRARY_PATH=/data/local/tmp/ndk-tests/armeabi-v7a/lib TMPDIR=/data/local/tmp/nd
k-tests/armeabi-v7a/tmp ./exe28978631c1444ccc82016262888db8ch

2016-02-11 10:57:55.801 UTC: > ## ADBRUNNER.50994 [emulator-5554] > CANNOT LINK EXECUTABLE:
could not load library "libFoundation.so" needed by "./exe28978631c1444ccc82016262888db8c6";
d by could not load library "libCoreData.so" needed by "libFoundation.so";

cause
caused by could not loa
d library "libCoreFoundation.so" needed by "libCoreData.so"; caused by could not load library "lib
CoreServices.so" needed by "libCoreFoundation.so"; caused by could not load library "libobjc.so.4.
6" needed by "libCoreServices.so"; caused by library "libobjc.so.4.6" not found

2016-02-11 10:57:55.814 UTC: > ## ADBRUNNER.50994 [emulator-5554] RUN [$?=1]: log LOGCAT-TAG-d9
55b24f77£54£0884578610fbcd6925 && cd /data/local/tmp/ndk-tests/armeabi-v7a/2f7ebab57-31ee-449b-9b61
-0db9fe9le2c2/bin && LD_LIBRARY_PATH=/data/local/tmp/ndk-tests/armeabi-v7a/lib TMPDIR=/data/local/

tmp/ndk-tests/armeabi-v7a/tmp ./exe28978631c1444ccc82016262888db8c6

2016-02-11 10:57:55.814 UTC: > ## ADBRUNNER.50994 [emulator-5554] 2

2016-02-11 10:57:55.814 UTC: > ## ADBRUNNER.50994 [emulator-5554] d

2016-02-11 10:57:55.815 UTC: > ## ADBRUNNER.50994 [emulator-5554] * === BEGIN OF ENVIRONMENT
2016-02-11 10:57:55.815 UTC: > ## ADBRUNNER.50994 [emulator—-5554] * CMD: /tmp/ndk-tests-maco
sx10.8/clang3.7/device/crystax—issue995-objective-c-literals/target+PIE/libs/armeabi-v7a/test-objc
-literals

2016-02-11 10:57:55.815 UTC: > ## ADBRUNNER.50994 [emulator—-5554] * PWD: /data/local/tmp/ndk

-tests/armeabi-v7a/2f7eba57-31ee-449b-9b61-0db9fe91e2c2/bin

2016-02-11 10:57:55.815 UTC: > ## ADBRUNNER.50994 [emulator-5554] * NDK: /tmp/crystaxndk-ndk
/crystax-ndk-10.3.1-b805-darwin-x86_64 - CrystaX NDK v10.3.1 (64-bit)

2016-02-11 10:57:55.816 UTC: > ## ADBRUNNER.50994 [emulator-5554] * === END OF ENVIRONMENT =
2016-02-11 10:57:57.845 UTC: > ## ADBRUNNER.50994 [emulator-5554] *

2016-02-11 10:57:57.845 UTC: > ## ADBRUNNER.50994 [emulator—-5554] * === BEGIN OF LOGCAT ===
2016-02-11 10:57:57.846 UTC: > ## ADBRUNNER.50994 [emulator—-5554] * === END OF LOGCAT ===
2016-02-11 10:57:57.875 UTC: > ## ADBRUNNER.50994 [emulator-5554]

2016-02-11 10:57:57.876 UTC: > ## ADBRUNNER.50994 [emulator—-5554] * === BEGIN OF NDK-STACK =
2016-02-11 10:57:57.878 UTC: > ## ADBRUNNER.50994 [emulator-5554] * === END OF NDK-STACK ===
2016-02-11 10:57:57.881 UTC: > ## ADBRUNNER.50994 [emulator-5554] ## COMMAND: /tmp/adb/adb -s e

mulator-5554 shell rm -r /data/local/tmp/ndk-tests/armeabi-v7a/2f7eba57-31lee-449b-9b61-0db9fe9le2c
2016-02-11 10:57:57.949 UTC: > ## ADBRUNNER.50994 [emulator—-5554] EXIT: 1 (took 0:00:04 on 'emu
lator-5554")
2016-02-11 10:57:57.949 UTC: ———> FAILURE: TARGET TEST [crystax—issue995-objective-c-literals]

"test-objc-literals": $?=1
2016-02-11 10:57:57.968 UTC: ERROR: Test crystax-issue995-objective-c-literals failed

Related issues:
Blocked by CrystaX NDK - Bug #1352: [darwin] GNUstep libobjc2 is built with S... Closed 04/01/2016

History

#1 - 02/11/2016 03:57 PM - Dmitry Moskalchuk

- Status changed from Open to In Progress

#3 - 04/23/2016 07:51 PM - Dmitry Moskalchuk

- Description updated

#4 - 04/27/2016 01:35 PM - Dmitry Moskalchuk
- Blocked by Bug #1352: [darwin] GNUstep libobjc2 is built with SONAME "libobjc.so0.4.6" added

#5 - 05/20/2016 04:44 PM - Dmitry Moskalchuk
- Status changed from In Progress to Closed

- % Done changed from 0 to 100
